From 526cd11d7cee030a804cee5c7366cd13e9037242 Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Fri, 7 Apr 2017 20:06:17 +0300
Subject: [PATCH 1/1] Document the "replication" option in StartupMessage.

It is documented in the Streaming Replication Protocol section, but was
missing from the list of options in StartupMessage description.
---
 doc/src/sgml/protocol.sgml | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index 9d46d74113..b4014d9774 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -5138,6 +5138,22 @@ StartupMessage (F)
 </para>
 </listitem>
 </varlistentry>
+<varlistentry>
+<term>
+                <literal>replication</>
+</term>
+<listitem>
+<para>
+                        Used to connect in streaming replication mode, where
+                        a small set of replication commands can be issued
+                        instead of SQL statements. Value can be
+                        <literal>true</>, <literal>false</>, or 
+                        <literal>database</>, and the default is
+                        <literal>false</>. See
+                        <xref linkend="protocol-replication"> for details.
+</para>
+</listitem>
+</varlistentry>
 </variablelist>
 
                 In addition to the above, any run-time parameter that can be
-- 
2.11.0

